Bug 657531 (python-gzipstream) - Review Request: python-gzipstream - Streaming zlib (gzip) support for python
Summary: Review Request: python-gzipstream - Streaming zlib (gzip) support for python
Keywords:
Status: CLOSED ERRATA
Alias: python-gzipstream
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lukas Zapletal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-Spacewalk
TreeView+ depends on / blocked
 
Reported: 2010-11-26 11:21 UTC by Miroslav Suchý
Modified: 2010-12-17 06:53 UTC (History)
3 users (show)

Fixed In Version: python-gzipstream-1.4.3-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-30 09:52:02 UTC
lzap: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2010-11-26 11:21:40 UTC
SPEC:
http://miroslav.suchy.cz/fedora/python-gzipstream/python-gzipstream.spec
SRC.RPM:
http://miroslav.suchy.cz/fedora/python-gzipstream/python-gzipstream-1.4.2-1.el6.src.rpm

Description:
A streaming gzip handler.
gzipstream.GzipStream extends the functionality of the gzip.GzipFile class
to allow the processing of streaming data.

rpmlint output:
python-gzipstream.src: W: spelling-error Summary(en_US) zlib -> lib, glib, z lib
python-gzipstream.src: W: spelling-error Summary(en_US) gzip -> zip, grip, g zip
python-gzipstream.src: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python-gzipstream.src: W: spelling-error %description -l en_US GzipFile -> Misfile, Interfile, Defilement
python-gzipstream.noarch: W: spelling-error Summary(en_US) zlib -> lib, glib, z lib
python-gzipstream.noarch: W: spelling-error Summary(en_US) gzip -> zip, grip, g zip
python-gzipstream.noarch: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python-gzipstream.noarch: W: spelling-error %description -l en_US GzipFile -> Misfile, Interfile, Defilement
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
All are false negatives.

Comment 1 Lukas Zapletal 2010-11-28 21:54:54 UTC
Please add condition for defining the python_sitelib macro as defined in http://fedoraproject.org/wiki/Packaging:Python#Macros:

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Its not needed anymore for Fedora 13+ and RHEL 6+.

Comment 2 Lukas Zapletal 2010-11-28 21:55:40 UTC
Formal review:

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1] 
OK

MUST: The package must be named according to the Package Naming Guidelines .
OK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . 
OK

MUST: The package must meet the Packaging Guidelines .
OK

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK

MUST: The License field in the package spec file must match the actual license. [3]
OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK

MUST: The spec file must be written in American English. [5]
OK

MUST: The spec file for the package MUST be legible. [6]
OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
c6b0244097d7bf029f54fba5a5036c1f = c6b0244097d7bf029f54fba5a5036c1f
OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
OK

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
N/A

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
N/A

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
N/A

MUST: Packages must NOT bundle copies of system libraries.[11]
OK

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
N/A

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
OK

MUST: Each package must consistently use macros. [16]
OK

MUST: The package must contain code, or permissable content. [17]
OK

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
N/A

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
OK

MUST: Header files must be in a -devel package. [19]
MUST: Static libraries must be in a -static package. [20]
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
N/A

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]
OK

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
N/A

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK

MUST: All filenames in rpm packages must be valid UTF-8. [24]
OK

Package APPROVED

Comment 3 Miroslav Suchý 2010-11-29 12:36:56 UTC
OK. I will add it in first commit.

Comment 4 Miroslav Suchý 2010-11-29 12:38:23 UTC
New Package CVS Request
=======================
Package Name: python-gzipstream
Short Description: Streaming zlib (gzip) support for python
Owners: msuchy
Branches: F-14, F-13, EL-6, EL-5
InitialCC:

Comment 5 Jason Tibbitts 2010-11-29 17:05:42 UTC
This ticket is not assigned to anyone.  It should be assigned to the reviewer.
Please fix and re-raise the fedora-cvs flag.

Comment 6 Jason Tibbitts 2010-11-29 17:23:35 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2010-11-30 09:48:06 UTC
python-gzipstream-1.4.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-gzipstream-1.4.3-1.fc14

Comment 8 Fedora Update System 2010-11-30 09:49:19 UTC
python-gzipstream-1.4.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-gzipstream-1.4.3-1.fc13

Comment 9 Fedora Update System 2010-11-30 09:50:22 UTC
python-gzipstream-1.4.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-gzipstream-1.4.3-1.el5

Comment 10 Fedora Update System 2010-12-08 21:35:31 UTC
python-gzipstream-1.4.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-12-08 21:39:52 UTC
python-gzipstream-1.4.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-12-17 06:53:33 UTC
python-gzipstream-1.4.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.